<?php

$images = [];

foreach ($page->clientBriefImages()->toFiles() as $image) {
  $images[] = [
    'url' => $image->url(),
    'uuid' => (string) $image->uuid()
  ];
}

$specificData = [
  "images" => $images
];

$data = array_merge($genericData, $specificData);

echo json_encode($data);